package com.sqx.modules.bl.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.bl.order.entity.UserPackageOrder;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface UserPackageOrderService extends IService<UserPackageOrder> {
    Result findPage(UserPackageOrder userPackageOrder);
    Result findCoupon(UserPackageOrder userPackageOrder);
    void refund(UserPackageOrder userPackageOrder);

    Result selectOrdersDetails(Long ordersId);

    Result insertOrders(UserPackageOrder userPackageOrder);

    Result payOrder(Long ordersId);

    Result findUserPackageOrders(UserPackageOrder userPackageOrder);

    List<UserPackageOrder> getActivityOrderList(Long id,Integer status);

    List<UserPackageOrder> getActivityOrderListByGroupNo(String groupNo);

    Result insertGroupOrders(UserPackageOrder userPackageOrder);

    Result payGroupOrders(Long ordersId);

    Result insertFlashOrders(UserPackageOrder userPackageOrder);


}
